%define name ipw2100-firmware
%define version 1.3

Summary: Firmware for the IPW2100
Name: %{name}
Version: %{version}
Release: %mkrel 4
Source0: http://ipw2100.sourceforge.net/%{name}-%{version}.tar.bz2
License: Proprietary
Group: System/Kernel and hardware
Url: http://ipw2100.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch

%description
This package contains the firmware files for the IPW2100 chip

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/lib/firmware/
install -m 0644 ipw2100-1.3-i.fw $RPM_BUILD_ROOT/lib/firmware/ipw2100-1.3-i.fw
install -m 0644 ipw2100-1.3-p.fw $RPM_BUILD_ROOT/lib/firmware/ipw2100-1.3-p.fw
install -m 0644 ipw2100-1.3.fw $RPM_BUILD_ROOT/lib/firmware/ipw2100-1.3.fw

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/lib/firmware/ipw2100-1.3-i.fw
/lib/firmware/ipw2100-1.3-p.fw
/lib/firmware/ipw2100-1.3.fw

%changelog
* Thu Feb 28 2019 tex - 1.3-4pclos2019
- rebuild against updates

* Fri Jul 07 2017 bb2 <bb2> - 1.3-3pclos2017
- rebuilt
